Latest Python Version Suppoted

4 thoughts on “Latest Python Version Suppoted

  1. Hi We would like to work with Python Version 2.7 in regard to developing our scripts, but have not found any references to the latest supported version after 1.5.2  


    We are currently using the older version, but would like to upgrade if this will not cause incompatibilities or unexpected results when running the compiled scripts. 


    Would you please confirm whether this is  acceptable?


    Thank you in advance. 

    1. Hi Darien, 1.5.2+ is the latest Python version in module and in PC, to be in sync. I suppose you can install 2.7 (unsupported officially) in PC and move all Telit stuff in the new installation, and you’ll need to have much care to not use features that are not available in 1.5.2+. Advantages are only in the case you need 2.7 for other projects, otherwise why would you bother?



      1. Thank you for your responce, we have not made the upgrade since the module will not support the enhanced features of the newer release, I guess my question should have been more to the point of… will the module support the newer features of the more modern release.


        Thank you kindly for your time. 


        1. Modules have 1.5.2+ in their firmware, so no, features appeared in newer releases aren’t supported.